﻿Option Explicit On
Option Strict On

Public Class Form1
    ''' <summary>
    ''' Farbe, Position und Beschriftung aller Steuerelemente
    ''' </summary>
    Private Sub Form1_Load(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles MyBase.Load

        Me.Size = New Size(320, 220)

        RadioButton1.Location = New Point(15, 130)
        RadioButton1.Text = _
            "Label 2 dem Label1 zuzuordnen macht es durchsichtig"

        RadioButton2.Location = New Point(15, 150)
        RadioButton2.Text = "Label2 dem Form zuzuordnen macht es undurchsichtig"

        With Label1
            .BackColor = Color.Yellow
            .ForeColor = Color.Blue
            .Font = New Font("Microsoft Sans Serif", 15.75, FontStyle.Regular)
            .Location = New Point(32, 40)
            .Text = "Ich bin Label1" & vbCrLf & "mit einer Beschriftung"
        End With

        With Label2
            ' Die Farbeinstellung Transparent wirkt immer nur transparent 
            '  bezüglich der Farbe des Containers
            .BackColor = Color.Transparent
            .ForeColor = Color.Black
            .Font = New Font("Microsoft Sans Serif", 15.75, FontStyle.Regular)
            .Location = New Point(42, 50)
            .BringToFront()
            .Text = "Ich bin Label 2"
        End With
    End Sub

    ''' <summary>
    ''' Ist Label1 der Container für Label2, dann wirkt der Hintergund von 
    '''  Label 2 tatsächlich transparent 
    ''' </summary>
    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles RadioButton1.CheckedChanged

        ' Label1 wird zum Container für Label2
        Label2.Parent = Label1

        ' Die Position des Label2 innerhalb seines Containers Label1
        Dim p As Point = Label1.PointToScreen(Label1.Location)
        Dim pt As New Point(p.X - 22, p.Y - 30)
        Label2.Location = Label1.PointToClient(pt)
    End Sub

    ''' <summary>
    ''' Ist Form1 Container für Label2, dann wirkt der Hintergund undurchsichtig
    ''' </summary>
    Private Sub RadioButton2_CheckedChanged(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles RadioButton2.CheckedChanged

        'Form1 wird zum Container für Label2
        Label2.Parent = Me

        'Die Position des Label2 innerhalb seines Containers Form1
        Label2.Location = New Point(42, 50)

        Label2.BringToFront()
    End Sub
End Class
